# Uses of Class
org.bukkit.generator.BlockPopulator

Packages that use BlockPopulator
Package
Description
org.bukkit
The root package of the Bukkit API, contains generalized API classes.
org.bukkit.generator
Classes to facilitate `world` generation implementation.

## Uses of BlockPopulator in org.bukkit

Methods in org.bukkit that return types with arguments of type BlockPopulator
Modifier and Type
Method
Description
`@NotNull List<BlockPopulator>`
World.`getPopulators()`
Gets a list of all applied `BlockPopulator`s for this World

## Uses of BlockPopulator in org.bukkit.generator

Methods in org.bukkit.generator that return types with arguments of type BlockPopulator
Modifier and Type
Method
Description
`@NotNull List<BlockPopulator>`
ChunkGenerator.`getDefaultPopulators(@NotNull World world)`
Gets a list of default `BlockPopulator`s to apply to a given world